# H245_RequestMessage Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_masterSlaveDetermination, e_terminalCapabilitySet, e_openLogicalChannel, e_closeLogicalChannel, e_requestChannelClose, e_multiplexEntrySend, e_requestMultiplexEntry, e_requestMode, e_roundTripDelayRequest, e_maintenanceLoopRequest, e_communicationModeRequest, e_conferenceRequest, e_multilinkRequest, e_logicalChannelRateRequest, e_genericRequest }

## Public Member Functions

| H245_RequestMessage (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardMessage & ()
| operator const H245_NonStandardMessage & () const
| operator H245_MasterSlaveDetermination & ()
| operator const H245_MasterSlaveDetermination & () const
| operator H245_TerminalCapabilitySet & ()
| operator const H245_TerminalCapabilitySet & () const
| operator H245_OpenLogicalChannel & ()
| operator const H245_OpenLogicalChannel & () const
| operator H245_CloseLogicalChannel & ()
| operator const H245_CloseLogicalChannel & () const
| operator H245_RequestChannelClose & ()
| operator const H245_RequestChannelClose & () const
| operator H245_MultiplexEntrySend & ()
| operator const H245_MultiplexEntrySend & () const
| operator H245_RequestMultiplexEntry & ()
| operator const H245_RequestMultiplexEntry & () const
| operator H245_RequestMode & ()
| operator const H245_RequestMode & () const
| operator H245_RoundTripDelayRequest & ()
| operator const H245_RoundTripDelayRequest & () const
| operator H245_MaintenanceLoopRequest & ()
| operator const H245_MaintenanceLoopRequest & () const
| operator H245_CommunicationModeRequest & ()
| operator const H245_CommunicationModeRequest & () const
| operator H245_ConferenceRequest & ()
| operator const H245_ConferenceRequest & () const
| operator H245_MultilinkRequest & ()
| operator const H245_MultilinkRequest & () const
| operator H245_LogicalChannelRateRequest & ()
| operator const H245_LogicalChannelRateRequest & () const
| operator H245_GenericMessage & ()
| operator const H245_GenericMessage & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_RequestMessage::Choices

Enumerator:

  e_nonStandard |
  e_masterSlaveDetermination |
  e_terminalCapabilitySet |
  e_openLogicalChannel |
  e_closeLogicalChannel |
  e_requestChannelClose |
  e_multiplexEntrySend |
  e_requestMultiplexEntry |
  e_requestMode |
  e_roundTripDelayRequest |
  e_maintenanceLoopRequest |
  e_communicationModeRequest |
  e_conferenceRequest |
  e_multilinkRequest |
  e_logicalChannelRateRequest |
  e_genericRequest |

## Constructor & Destructor Documentation

H245_RequestMessage::H245_RequestMessage | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_RequestMessage::operator H245_NonStandardMessage & | ( |  | ) |

H245_RequestMessage::operator const H245_NonStandardMessage & | ( |  | ) | const

H245_RequestMessage::operator H245_MasterSlaveDetermination & | ( |  | ) |

H245_RequestMessage::operator const H245_MasterSlaveDetermination & | ( |  | ) | const

H245_RequestMessage::operator H245_TerminalCapabilitySet & | ( |  | ) |

H245_RequestMessage::operator const H245_TerminalCapabilitySet & | ( |  | ) | const

H245_RequestMessage::operator H245_OpenLogicalChannel & | ( |  | ) |

H245_RequestMessage::operator const H245_OpenLogicalChannel & | ( |  | ) | const

H245_RequestMessage::operator H245_CloseLogicalChannel & | ( |  | ) |

H245_RequestMessage::operator const H245_CloseLogicalChannel & | ( |  | ) | const

H245_RequestMessage::operator H245_RequestChannelClose & | ( |  | ) |

H245_RequestMessage::operator const H245_RequestChannelClose & | ( |  | ) | const

H245_RequestMessage::operator H245_MultiplexEntrySend & | ( |  | ) |

H245_RequestMessage::operator const H245_MultiplexEntrySend & | ( |  | ) | const

H245_RequestMessage::operator H245_RequestMultiplexEntry & | ( |  | ) |

H245_RequestMessage::operator const H245_RequestMultiplexEntry & | ( |  | ) | const

H245_RequestMessage::operator H245_RequestMode & | ( |  | ) |

H245_RequestMessage::operator const H245_RequestMode & | ( |  | ) | const

H245_RequestMessage::operator H245_RoundTripDelayRequest & | ( |  | ) |

H245_RequestMessage::operator const H245_RoundTripDelayRequest & | ( |  | ) | const

H245_RequestMessage::operator H245_MaintenanceLoopRequest & | ( |  | ) |

H245_RequestMessage::operator const H245_MaintenanceLoopRequest & | ( |  | ) | const

H245_RequestMessage::operator H245_CommunicationModeRequest & | ( |  | ) |

H245_RequestMessage::operator const H245_CommunicationModeRequest & | ( |  | ) | const

H245_RequestMessage::operator H245_ConferenceRequest & | ( |  | ) |

H245_RequestMessage::operator const H245_ConferenceRequest & | ( |  | ) | const

H245_RequestMessage::operator H245_MultilinkRequest & | ( |  | ) |

H245_RequestMessage::operator const H245_MultilinkRequest & | ( |  | ) | const

H245_RequestMessage::operator H245_LogicalChannelRateRequest & | ( |  | ) |

H245_RequestMessage::operator const H245_LogicalChannelRateRequest & | ( |  | ) | const

H245_RequestMessage::operator H245_GenericMessage & | ( |  | ) |

H245_RequestMessage::operator const H245_GenericMessage & | ( |  | ) | const

PBoolean H245_RequestMessage::CreateObject | ( |  | ) |

PObject* H245_RequestMessage::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h